source: general.ent@ d9321c0

10.0 10.1 11.0 7.10 7.7 7.8 7.9 8.0 8.1 8.2 8.3 8.4 9.0 9.1 basic bdubbs/svn elogind nosym perl-modules qt5new trunk xry111/git-date xry111/git-date-for-trunk xry111/git-date-test
Last change on this file since d9321c0 was d9321c0, checked in by Ken Moffat <ken@…>, 7 years ago

postfix will try to use EAI by default.

git-svn-id: svn://svn.linuxfromscratch.org/BLFS/trunk/BOOK@15597 af4574ff-66df-0310-9fd7-8a98e5e911e0

  • Property mode set to 100644
File size: 7.3 KB
Line 
1<!-- $LastChangedBy$ $Date$ -->
2
3<!ENTITY day "02"> <!-- Always 2 digits -->
4<!ENTITY month "03"> <!-- Always 2 digits -->
5<!ENTITY year "2015">
6<!ENTITY copyrightdate "2001-&year;">
7<!ENTITY copyholder "The BLFS Development Team">
8<!ENTITY version "&year;-&month;-&day;">
9<!ENTITY releasedate "March 2nd, &year;">
10<!ENTITY pubdate "&year;-&month;-&day;"> <!-- metadata req. by TLDP -->
11<!ENTITY blfs-version "svn"> <!-- svn|[release #] -->
12<!ENTITY lfs-version "development"> <!-- x.y|development] -->
13<!ENTITY last-commit "$Date$"> <!-- Automatic update -->
14<!ENTITY lfs-domainname "linuxfromscratch.org">
15
16<!ENTITY maintainer-fullname "The BLFS Team">
17<!ENTITY maintainer-firstname "BLFS">
18<!ENTITY maintainer-address "blfs-maintainer@&lfs-domainname;">
19
20<!ENTITY lfs-website "http://www.&lfs-domainname;">
21<!-- downloads - root must not have an entity because it is needed for scripts
22 change svn to x.y for release -->
23<!ENTITY downloads-root "http://www.linuxfromscratch.org/blfs/downloads/svn">
24<!ENTITY downloads-project "http://downloads.&lfs-domainname;">
25<!ENTITY sources-anduin-http "http://anduin.&lfs-domainname;/sources/BLFS/svn">
26<!ENTITY sources-anduin-ftp "ftp://anduin.&lfs-domainname;/BLFS/svn">
27<!ENTITY sources-anduin-other-http "http://anduin.&lfs-domainname;/sources/other">
28<!ENTITY sources-anduin-other "ftp://anduin.&lfs-domainname;/other">
29<!ENTITY files-anduin "http://anduin.&lfs-domainname;/files/BLFS/svn">
30<!ENTITY hints-root "http://www.&lfs-domainname;/hints">
31<!ENTITY patch-downloads "http://www.linuxfromscratch.org/patches/downloads">
32<!ENTITY patch-root "http://www.&lfs-domainname;/patches/blfs/svn">
33<!ENTITY errata "http://www.&lfs-domainname;/blfs/errata/&blfs-version;/">
34<!ENTITY blfs-ticket-root "http://wiki.&lfs-domainname;/blfs/ticket/">
35<!-- <!ENTITY lfs-root "http://www.&lfs-domainname;/lfs/view/&lfs-version;"> -->
36<!ENTITY lfs-root "../../../../lfs/view/&lfs-version;">
37<!ENTITY lfs-dev "../../../../lfs/view/development">
38<!ENTITY kernel "http://www.kernel.org/pub/">
39<!ENTITY gstreamer-dl "http://gstreamer.freedesktop.org/src">
40<!ENTITY gnu-alpha-ftp "ftp://alpha.gnu.org/gnu/">
41<!ENTITY gnu-alpha-http "http://alpha.gnu.org/gnu/">
42<!ENTITY sourceforge-repo "http://downloads.sourceforge.net">
43<!ENTITY sourceforge-repo2 "http://sourceforge.net">
44<!ENTITY gentoo-ftp-repo "ftp://mirror.ovh.net/gentoo-distfiles/distfiles">
45<!ENTITY fedora-http-repo "http://pkgs.fedoraproject.org/repo/pkgs">
46<!ENTITY jaist-ftp-repo "ftp://ftp.jaist.ac.jp/pub//sourceforge">
47<!ENTITY publisher "Unknown">
48<!ENTITY xorg-download-http "http://xorg.freedesktop.org/archive/individual">
49<!ENTITY xorg-download-ftp "ftp://ftp.x.org/pub/individual">
50<!ENTITY mozilla-http "https://ftp.mozilla.org/pub/mozilla.org">
51<!ENTITY mozilla-ftp "ftp://ftp.mozilla.org/pub">
52<!ENTITY gnome-download-http "http://ftp.gnome.org/pub/gnome/sources">
53<!ENTITY gnome-download-ftp "ftp://ftp.gnome.org/pub/gnome/sources">
54<!ENTITY gnome-minor "3.12">
55<!ENTITY gnome-minor-14 "3.14">
56
57<!-- These entities are used to identify versions of LFS
58 packages referenced throughout the BLFS book. -->
59<!ENTITY lfs-autoconf-version "2.69">
60<!ENTITY lfs-coreutils-version "8.23">
61<!ENTITY lfs-e2fsprogs-version "1.42.11">
62<!ENTITY lfs-flex-version "2.5.39">
63<!ENTITY lfs-gcc-version "4.9.1">
64<!ENTITY lfs-gdbm-version "1.11">
65<!ENTITY lfs-m4-version "1.4.17">
66<!-- this was originally the perl version used by the corresponding
67 version of lfs, in those days always for i686, but now BLFS is a rolling
68 release -->
69<!ENTITY lfs-perl-version "&lt;5.x.y&gt;/&lt;arch-linux&gt;">
70<!ENTITY lfs-shadow-version "4.2.1">
71<!ENTITY lfs-vim-version "7.4">
72<!-- End LFS versions -->
73
74<!ENTITY blfs-bootscripts-version "20150209">
75<!ENTITY blfs-bootscripts-download "&downloads-root;/blfs-bootscripts-&blfs-bootscripts-version;.tar.bz2">
76
77<!ENTITY blfs-wiki "http://wiki.&lfs-domainname;/blfs/wiki">
78
79<!-- These entities are used to annotate the current status of a package as it
80 relates to the version of LFS it will build/work against -->
81<!ENTITY lfs76_checked "<para>This package is known to build and work
82 properly using an LFS-7.6 platform.</para>">
83<!ENTITY lfs76_built "<para>This package is known to build using an LFS
84 7.6 platform but has not been tested.</para>">
85
86<!ENTITY lfs77_checked "<para>This package is known to build and work
87 properly using an LFS-7.7 platform.</para>">
88<!ENTITY lfs77_built "<para>This package is known to build using an LFS
89 7.7 platform but has not been tested.</para>">
90
91<!-- usage: <para>&lfssvn_checked;ccyymmdd&lfssvn_checked2;</para> -->
92<!ENTITY lfssvn_checked "This package is known to build and work properly
93 using an LFS-SVN-">
94<!ENTITY lfssvn_checked2 " platform.">
95<!ENTITY lfssvn_built "This package is known to build using an LFS-SVN-">
96<!ENTITY lfssvn_built2 " platform but has not been tested.">
97<!-- End special entities about LFS compatibility -->
98
99<!ENTITY as_root "<note><para>When installing multiple packages in a script,
100 the installation needs to be done as the root user. There are three general
101 options that can be used to do this:</para>
102
103 <orderedlist>
104
105 <listitem><para>Run the entire script as the root user (not
106 recommended).</para></listitem>
107
108 <listitem><para>Use the <command>sudo</command> command from the <xref
109 linkend='sudo'/> package.</para></listitem>
110
111 <listitem><para>Use <command>su -c &quot;command arguments&quot;</command>
112 (quotes required) which will ask for the root password for every iteration
113 of the loop.</para></listitem>
114
115 </orderedlist>
116
117 <para>One way to handle this situation is to create a short
118 <command>bash</command> function that automatically selects the appropriate
119 method. Once the command is set in the environment, it does not need to be
120 set again.</para>
121
122 <screen><userinput>as_root()
123{
124 if [ $EUID = 0 ]; then $*
125 elif [ -x /usr/bin/sudo ]; then sudo $*
126 else su -c \\&quot;$*\\&quot;
127 fi
128}
129
130export -f as_root</userinput></screen>
131</note>">
132
133<!ENTITY not-katamari "<para>This package is not a part of the Xorg
134 katamari and is provided only as a dependency to
135 other packages or for testing the completed Xorg
136 installation.</para>">
137
138<!ENTITY gst-compat "<note><para><application>GStreamer</application> 1.0 series
139 is not API or ABI compatible with
140 <application>GStreamer</application> 0.10 series and both
141 can be installed on the same system.</para></note>">
142
143
144<!-- Problem with some packages introduced by a given dependency version -->
145<!ENTITY gcc-490 "gcc-4.9.0">
146
147
148
149<!ENTITY % package-entities SYSTEM "packages.ent">
150%package-entities;
Note: See TracBrowser for help on using the repository browser.